{-| Module  : FiniteCategories
Description : An example of  __'Ens'__ pretty printed.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of  __'Ens'__ pretty printed.
-}
module Math.FiniteCategories.Ens.Example
(
    main
)
where
    import Data.WeakSet         (powerSet, Set)
    import Data.WeakSet.Safe
    
    import Math.FiniteCategories
    import Math.IO.PrettyPrint
    import Math.FiniteCategory
    
    -- | __'Ens'__ pretty printed.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.Ens.Example"
        putStrLn $ pprintFiniteCategory (ens.powerSet.set $ "ABC")
        putStrLn "End of Math.FiniteCategories.Ens.Example"