{-| Module  : FiniteCategories
Description : An example of 'FullSubcategory' of __'FinCat'__ pretty printed.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of 'FullSubcategory' of __'FinCat'__ pretty printed.
-}
module Math.FiniteCategories.FinCat.Example
(
    main
)
where
    import Data.WeakSet.Safe
    
    import Math.Categories
    import Math.FiniteCategories
    import Math.IO.PrettyPrint
    import Math.FiniteCategory
    
    import Numeric.Natural
    
    -- | An example of 'FullSubcategory' of __'FinCat'__ pretty printed.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.FinCat.Example"
        putStrLn $ pprintFiniteCategory (FullSubcategory FinCat (numberCategory <$> (set [0..2])) :: FullSubcategory (FinCat NumberCategory NumberCategoryMorphism Natural) (FinFunctor NumberCategory NumberCategoryMorphism Natural) NumberCategory)
        putStrLn "End of Math.FiniteCategories.FinCat.Example"