{-| Module  : FiniteCategories
Description : A 'FunctorCategory' where the target category is finite is a 'FiniteCategory'.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

The __'Hat'__ category contains two arrows coming from the same object.

The shape of __'Hat'__ is the following : @`B` <-`F`- `A` -`G`-> `C`@
-}

module Math.FiniteCategories.FunctorCategory
(
    module Math.Categories.FunctorCategory
)
where
    import          Math.Categories.FunctorCategory
    