{-| Module  : FiniteCategories
Description : An example of 'yonedaEmbedding' pretty printed.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of  'yonedaEmbedding' pretty printed.


-}
module Math.Functors.YonedaEmbedding.Example
(
    main
)
where
    import Data.WeakSet         (Set)
    import Data.WeakSet.Safe
    
    import Math.FiniteCategories
    import Math.Categories
    import              Math.FiniteCategory
    import              Math.IO.PrettyPrint
    
    -- | 'yonedaEmbedding' pretty printed.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.YonedaEmbedding.Example"
        putStrLn $ pprint (fullDiagram.yonedaEmbedding $ Hat) 
        putStrLn $ pprint (fullDiagram.yonedaEmbedding $ Square) 
        putStrLn "End of Math.FiniteCategories.YonedaEmbedding.Example"